<template>
  <a-modal
    title=""
    width="40%"
    :footer="null"
    :visible="visible"
    @cancel="close"
  >
  <img :src="URL" style="margin: auto;"/>

  </a-modal>
</template>

<script>
import { JeecgListMixin } from '@/mixins/JeecgListMixin'

export default {
  name: 'Detail', // 明细 弹框
  mixins: [JeecgListMixin],
  components: { },
  data() {
    return {      
      visible:false,
      URL:'',
      dd:'',
    }
  },
  watch: {
    dd(newVal) {
    this.URL='data:image/jpeg;base64,'+newVal
}
},
 
  methods: {
 close(){
    this.visible = false
},
}}
</script>
<style lang="less" scoped>
/deep/.ant-modal-body{
  display: flex;
}
</style>
